﻿using Spire.Cloud.Powerpoint.Sdk.Client;
using Spire.Cloud.Powerpoint.Sdk.Api;
using Spire.Cloud.Powerpoint.Sdk.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;

namespace CloudPowerpoint
{
    class DocumentApiDemo
    {
        static String appId = "your id";
        static String appKey = "your key";
        public static void GetPptDocument()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            DocumentApi documentApi = new DocumentApi(configuration);
            string name = "GetPptDocument.pptx";
            string password = null;
            string storage = null;
            string folder = "input";

            var response = documentApi.GetPptDocument(name, password, storage, folder);
        }
        public static void PostPptDocument()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            DocumentApi documentApi = new DocumentApi(configuration);
            string name = "PostPptDocument.pptx";
            string inputFilePath = "D:/input/test.pptx";
            System.IO.Stream data = new FileStream(inputFilePath, FileMode.Open); 
            string inputPassword = null;
            string password = "123";
            string storage = null;
            string folder = "output";
            var response = documentApi.PostPptDocument(name, data, inputPassword, password, storage, folder);
            data.Close();
        }
        public static void PostPptDocumentFromSource()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            DocumentApi documentApi = new DocumentApi(configuration);
            string name = "PostPptDocumentFromSource.pptx";
            string sourcePath = "input";
            string sourcePassword = null;
            string sourceStorage = null;
            string password = "test";
            string storage = null;
            string folder = "output";
            var response = documentApi.PostPptDocumentFromSource(name, sourcePath, sourcePassword, sourceStorage, password, storage, folder);
        }
        public static void PostPptSaveAs()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            DocumentApi documentApi = new DocumentApi(configuration);
            string name = "PostPptSaveAs.pptx";
            string format = ExportFormat.Pdf.ToString();
            ExportOptions options = null;
            string password = null;
            string storage = null;
            string folder = "input";
            var response =documentApi.PostPptSaveAs(name, format, options, password, storage, folder);
        }
        public static void PostPptSplit()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            DocumentApi documentApi = new DocumentApi(configuration);
            string name = "PostPptSplit.pptx";
            ExportOptions options = null;
            string format = SlideExportFormat.Svg.ToString();
            int? width = 500;
            int? height = 400;
            int? from = 3;
            int? to = 6;
            string destFolder = "output";
            string password = null;
            string storage = null;
            string folder = "input";
            var response = documentApi.PostPptSplit(name, options, format, width, height, to, from, destFolder, password, storage, folder);
        }
        public static void PutPptSaveAs()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            DocumentApi documentApi = new DocumentApi(configuration);
            string name = "PutPptSaveAs.pptx";
            string outputFilePath = @"output/PutPptSaveAs_result.odp";
            string format = ExportFormat.Odp.ToString();
            ExportOptions options = null;
            string password = null;
            string storage = null;
            string folder = "input";
            documentApi.PutPptSaveAs(name, outputFilePath, format, options, password, storage, folder);
        }
        public static void PutPptSlideSize()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            DocumentApi documentApi = new DocumentApi(configuration);
            string name = "PostPptSplit.pptx";
            string password = null;
            string storage = null;
            string folder = "input";
            int? width = 800;
            int? height = 600;
            string sizeType = null; //Available values : OnScreen, LetterPaper, A4Paper, Slide35mm, Overhead, Banner, Custom, Ledger, A3Paper, B4IsoPaper, B5IsoPaper, B4JisPaper, B5JisPaper, HagakiCard, OnScreen16x9, OnScreen16x10
            string scaleType = "Maximize"; //Available values : DoNotScale, EnsureFit, Maximize; Default value : DoNotScale
            var response = documentApi.PutPptSlideSize(name, password, storage, folder, width, height, sizeType, scaleType);
        }
    }
}
