﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Spire.Cloud.Powerpoint.Sdk.Client;
using Spire.Cloud.Powerpoint.Sdk.Api;
using Spire.Cloud.Powerpoint.Sdk.Model;

namespace CloudPowerpoint
{
    class SlidesApiDemo
    {
        static String appId = "your id";
        static String appKey = "your key";
        public static void DeletePptByIndex()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "DeletePptByIndex.pptx";
            int? slideIndex = 3;
            string password = null;
            string folder = "input";
            string storage = null;       
            var response = slidesApi.DeletePptByIndex(name, slideIndex, password, folder, storage);
        }
        public static void DeletePptCleanSlidesList()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "DeletePptCleanSlidesList.pptx";
            string slides = "0,2,4";
            string password = null;
            string folder = "input";
            string storage = null;         
            var response = slidesApi.DeletePptCleanSlidesList(name, slides, password, folder, storage);    
        }
        public static void GetPptSlide()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "GetPptSlide.pptx";
            int? slideIndex = 2;
            string password = null;
            string folder = "input";
            string storage = null;
            var response = slidesApi.GetPptSlide(name, slideIndex, password, folder, storage);         
        }
        public static void GetPptSlidesList()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "GetPptSlidesList.pptx";
            string password = null;
            string folder = "input";
            string storage = null;
            var response = slidesApi.GetPptSlidesList(name, password, folder, storage);   
        }
        public static void PostPptAdd()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "PostPptAdd.pptx";
            int? position = 2;
            string password = null;
            string folder = "input";
            string storage = null;
            string layoutAlias = "Blank";//TitleOnly TwoTextAndTwoObjects Title TextAndObject Blank           
            var response = slidesApi.PostPptAdd(name, position, password, folder, storage, layoutAlias);
        }
        public static void PostPptCopy()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "PostPptCopy.pptx";
            int? slideWillbeCopied = 0;
            int? position = 3;
            string source = "input/source.pptx";
            string sourcePassword = null;
            string sourceStorage = null;
            string password = null;
            string folder = "input";
            string storage = null;
            var response = slidesApi.PostPptCopy(name, slideWillbeCopied, position, source, sourcePassword, sourceStorage, password, folder, storage);
        }
        public static void PostPptMove()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "PostPptMove.pptx";
            int? originalSlideIndex = 0;
            int? newPosition = 3;
            string password = null;
            string folder = "input";
            string storage = null;
            var response = slidesApi.PostPptMove(name, originalSlideIndex, newPosition, password, folder, storage);       
        }
        public static void PostPptReorderMany()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "PostPptReorderMany.pptx";
            string oldPositions = "2,1,0";
            string newPositions = "0,2,1";
            string password = null;
            string folder = "input";
            string storage = null;
            var response = slidesApi.PostPptReorderMany(name, oldPositions, newPositions, password, folder, storage);         
        }
        public static void PostPptSlideSaveAsTestImage()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "PostPptSlideSaveAsTestImage.pptx";
            int? slideIndex = 0;
            string format = SlideExportFormat.Png.ToString();
            ExportOptions options = null;
            int? width = 400;
            int? height = 300;
            string password = null;
            string folder = "input";
            string storage = null;
            var response = slidesApi.PostPptSlideSaveAs(name, slideIndex, format, options, width, height, password, folder, storage);
        }
        public static void PostPptSlideSaveAsTestPdf()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "PostPptSlideSaveAsTestPdf.pptx";
            int? slideIndex = 0;
            string format = SlideExportFormat.Pdf.ToString();
            ExportOptions options = new ExportOptions();
            options["company"] = "e-iceblue";
            options["product"] = "spire.cloud.powerpoint";
            int? width = 500;
            int? height = 600;
            string password = null;
            string folder = "input";
            string storage = null;
            var response = slidesApi.PostPptSlideSaveAs(name, slideIndex, format, options, width, height, password, folder, storage);
        }
        public static void PostPptSlideSaveAsTestPptx()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "PostPptSlideSaveAsTestPptx.pptx";
            int? slideIndex = 3;
            string format = SlideExportFormat.Pptx.ToString();
            ExportOptions options = new ExportOptions();
            options["company"] = "e-iceblue";
            options["product"] = "spire.cloud.powerpoint";
            int? width = 500;
            int? height = 400;
            string password = null;
            string folder = "input";
            string storage = null;
            var response =slidesApi.PostPptSlideSaveAs(name, slideIndex, format, options, width, height, password, folder, storage); 
        }
        public static void PutPptSlide()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "PutPptSlide.pptx";
            int? slideIndex = 0;
            string password = null;
            string folder = "input";
            string storage = null;
            Slide slide = slidesApi.GetPptSlide(name, slideIndex, password, folder, storage);
            ResourceUriElement uriElement = new ResourceUriElement();
            uriElement.Uri = new ResourceUri("TitleOnly");
            slide.AlternateLinks = null;
            slide.LayoutSlide = uriElement;
            slide.ShowMasterShapes = !slide.ShowMasterShapes;
            var response = slidesApi.PutPptSlide(name, slideIndex, slide, password, folder, storage);
        }
        public static void PutPptSlideSaveAs()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "PutPptSlideSaveAs.pptx";
            int? slideIndex = 0;
            string format = SlideExportFormat.Pdf.ToString();
            ExportOptions options = null;
            string password = null;
            string folder = "input";
            string storage = null;
            Slide slide = slidesApi.GetPptSlide(name, slideIndex, password, folder, storage);
            int? width = (int)slide.Width;
            int? height =(int)slide.Height;
            string outputFilePath = @"output/PutPptSlideSaveAs_result.pdf";
            slidesApi.PutPptSlideSaveAs(name, slideIndex, format, outputFilePath, options, width, height, password, folder, storage);
        }
        public static void PutPptSlideSaveAsTestPpt()
        {
            Configuration configuration = new Configuration("https://api.e-iceblue.cn", appId, appKey);
            SlidesApi slidesApi = new SlidesApi(configuration);
            string name = "PutPptSlideSaveAsTestPpt.pptx";
            int? slideIndex = 0;
            string format = SlideExportFormat.Ppt.ToString();
            ExportOptions options = null;
            int? width = 400;
            int? height = 300;
            string password = null;
            string folder = "input";
            string storage = null;
            string outputFilePath = @"output/PutPptSlideSaveAsTestPpt_result.ppt";
            slidesApi.PutPptSlideSaveAs(name, slideIndex, format, outputFilePath, options, width, height, password, folder, storage);
        }
    }
}
